scal(3)

NAME
scal - scal: x = alpha x

SYNOPSIS

  Functions
subroutine cscal (n, ca, cx, incx)
CSCAL
subroutine csscal (n, sa, cx, incx)
CSSCAL
subroutine dscal (n, da, dx, incx)
DSCAL
subroutine sscal (n, sa, sx, incx)
SSCAL
subroutine zdscal (n, da, zx, incx)
ZDSCAL
subroutine zscal (n, za, zx, incx)
ZSCAL

Detailed Description

Function Documentation

  subroutine cscal (integer n, complex ca, complex, dimension(*) cx, integer incx)

CSCAL

Purpose:

        CSCAL scales a vector by a constant.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    CA

              CA is COMPLEX
               On entry, CA specifies the scalar alpha.

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of CX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack,  3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 77 of file cscal.f.

  subroutine csscal (integer n, real sa, complex, dimension(*) cx, integer incx)

CSSCAL

Purpose:

        CSSCAL scales a complex vector by a real constant.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SA

              SA is REAL
               On entry, SA specifies the scalar alpha.

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of CX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 77 of file csscal.f.

  subroutine dscal (integer n, double precision da, double precision, dimension(*) dx, integer incx)

DSCAL

Purpose:

        DSCAL scales a vector by a constant.
        uses unrolled loops for increment equal to 1.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    DA

              DA is DOUBLE PRECISION
               On entry, DA specifies the scalar alpha.

    DX

              DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of DX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 78 of file dscal.f.

  subroutine sscal (integer n, real sa, real, dimension(*) sx, integer incx)

SSCAL

Purpose:

        SSCAL scales a vector by a constant.
        uses unrolled loops for increment equal to 1.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SA

              SA is REAL
               On entry, SA specifies the scalar alpha.

    SX

              SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 78 of file sscal.f.

  subroutine zdscal (integer n, double precision da, complex*16, dimension(*) zx, integer incx)

ZDSCAL

Purpose:

        ZDSCAL scales a vector by a constant.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    DA

              DA is DOUBLE PRECISION
               On entry, DA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 77 of file zdscal.f.

  subroutine zscal (integer n, complex*16 za, complex*16, dimension(*) zx, integer incx)

ZSCAL

Purpose:

        ZSCAL scales a vector by a constant.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    ZA

              ZA is COMPLEX*16
               On entry, ZA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 77 of file zscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.